Bug 170595 - rendering corruption, crash on selection
rendering corruption, crash on selection
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 07:14 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 20:52:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-10-13 07:14:47 EDT
Description of problem:
Loading:

http://www.hmrc.gov.uk/nitables/ca38.pdf

I get rendering corruption, and an immediate crash if selecting text.

Version-Release number of selected component (if applicable):
evince-0.4.0-1.2
poppler-0.4.1-1.1

How reproducible:
always

Steps to Reproduce:
1. load file
2. select text in first page
  
Actual results:
(gdb) t a a bt full

Thread 2 (Thread -1211315280 (LWP 6572)):
#0  0x0052f402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0082d7a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0805f3d3 in ev_render_thread (data=0x0) at ev-job-queue.c:179
        job = (EvJob *) 0x8482e28
#3  0x0095fffa in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0082bb80 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x007839ce in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1209088320 (LWP 6569)):
#0  poppler_page_render_selection (page=0x8428968, scale=0.94957983493804932,
    rotation=0, pixbuf=0x84e8648, selection=0x8480424,
    old_selection=0x84803fc, glyph_color=0x842910c, background_color=0x0)
    at poppler-page.cc:409
        data = {<No data fields>}
        pdf_selection = {x1 = 313.82300884955754, y1 = 159.01769911504425,
  x2 = 328.56637168141594, y2 = 197.98230088495575}
---Type <return> to continue, or q <return> to quit---
        gfx_background_color = {c = {0.26666666666666666, 0.39215686274509803,
    0.67450980392156867, 0 <repeats 29 times>}}
        text_dev = Variable "text_dev" is not available.
Comment 1 Kristian Høgsberg 2006-09-21 20:52:06 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.